%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtwebchannel
Version:       6.2.4
Release:       1mamba
Summary:       Qt6 webchannel component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtwebchannel-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel = %{version}

%description
Qt6 webchannel component.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtwebchannel-everywhere-src-%{version}

%build
%cmake -d build \
  -G Ninja

cmake --build .

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR="%{buildroot}" cmake --install build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt6WebChannel.so.*
%{_libdir}/qml/QtWebChannel/*
%{_libdir}/metatypes/qt6webchannel_release_metatypes.json
%{_datadir}/qt6/modules/WebChannel.json
%doc LICENSE.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtWebChannel
%{_includedir}/qt6/QtWebChannel/*
%{_libdir}/libQt6WebChannel.prl
%{_libdir}/libQt6WebChannel.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_webchannel.pri
%{_libdir}/qt6/mkspecs/modules/qt_lib_webchannel_private.pri
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtWebChannelTestsConfig.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6webchannel*.cmake
%dir %{_libdir}/cmake/Qt6WebChannel
%{_libdir}/cmake/Qt6WebChannel/Qt6WebChannel*.cmake
%doc README.md

%changelog
* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- update to 6.2.3

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release to allow updating subpackage from monolithic build

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
